From bca51247f2da09fe84bdecbe5c5641fa6ef31f7e Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 07 2015 15:57:51 +0000
Subject: [PATCH 146/1001] Show only a user's 10 latest badges.


---

diff --git a/hubs/widgets/badges.py b/hubs/widgets/badges.py
index 4e6234d..fe99525 100644
--- a/hubs/widgets/badges.py
+++ b/hubs/widgets/badges.py
@@ -1,3 +1,5 @@
+import operator
+
 import requests
 
 from hubs.hinting import hint, prefixed as _
@@ -11,7 +13,7 @@ import hubs.validators as validators
 
 template = jinja2.Template("""
 <div class="flex-container">
-{% for badge in assertions %}
+{% for badge in assertions[:10] %}
     <img width="19%" src="{{badge['image']}}"/>
 {%endfor%}
 </div>
@@ -29,7 +31,9 @@ def data(session, widget, username):
     url = "https://badges.fedoraproject.org/user/{username}/json"
     url = url.format(username=username)
     response = requests.get(url)
-    return response.json()
+    assertions = response.json()['assertions']
+    key = operator.itemgetter('issued')
+    return dict(assertions=sorted(assertions, key=key, reverse=True))
 
 
 @hint(topics=[_('hubs.widget.update'), _('fedbadges.badge.award')])

